curl --request GET \
--url https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get Event Definition
Retrieve complete details of a specific event definition, including its fields, data types, category, and whether it’s a standard or custom definition. Useful for understanding the schema before sending events or for validating your event data structure.
Required scope: Enable one of: people:manage, people:read.
curl --request GET \
--url https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/peopleevents/2/definitions/{definitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"isInternalDefinition": false,
"category": "external",
"definitionId": "addToCart",
"title": "Item added to cart",
"description": "Occurs when customer adds item to cart, without checkout. Carries information about items added",
"fields": [
{
"name": "transactionId",
"type": "String"
},
{
"name": "fromPromoCampaign",
"type": "Boolean"
},
{
"name": "totalCost",
"type": "Decimal"
},
{
"name": "itemsInCart",
"type": "List",
"schema": {
"type": "Object",
"fields": [
{
"name": "itemId",
"type": "Decimal"
},
{
"name": "price",
"type": "Decimal"
},
{
"name": "quantity",
"type": "Decimal"
},
{
"name": "inStockSince",
"type": "DateTime"
},
{
"name": "category",
"type": "String"
}
]
}
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Event definition identifier.
Response
OK
Indicates whether this is a standard (internal) event definition provided by the system, or a custom (external) definition created by the user.
Event definition category.
external, person, channel, product, template Event definition subcategory.
sms, email, push, whatsapp, viber, facebook, moments, forms, conversations, mobileapp, voice, line, appleBC, rcs, mms, viberBot, inapp, answers, blocklist Event definition identifier.
Event definition title.
Event definition description.
Event definition fields describing the structure and data types of the event properties.
Show child attributes
Show child attributes